import { Component, OnInit } from '@angular/core';
import { data } from './datasource';

@Component({
  selector: 'app-root',
  template: `<ejs-sidebar id="default-sidebar" >
  <div class="title"> Sidebar content</div>
</ejs-sidebar>
<div>
  <ejs-grid [dataSource]='data'>
                <e-columns>
                    <e-column field='OrderID' headerText='Order ID' textAlign='Right' width=90></e-column>
                    <e-column field='CustomerID' headerText='Customer ID' width=120></e-column>
                    <e-column field='Freight' headerText='Freight' textAlign='Right' format='C2' width=90></e-column>
                    <e-column field='OrderDate' headerText='Order Date' textAlign='Right' format='yMd' width=120></e-column>
                </e-columns>
                </ejs-grid>
                <ejs-calendar></ejs-calendar>
  <div class="title">Main content</div>
  <div class="sub-title">
      Content goes here.
  </div>
</div>`,
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  public data: object[];

    ngOnInit(): void {
        this.data = data;
    }
  title = 'sidebar';  
}
